var app = {  // 定义目录
    srcPath: 'src/',
    buildPath: 'build/',
    distPath: 'dist/',
}
/*1.引入gulp与gulp插件   使用时，要去下载这些插件*/
var gulp = require('gulp');
var less = require('gulp-less');
var cssmin = require('gulp-cssmin');
var uglify = require('gulp-uglify');
var concat = require('gulp-concat');
var imagemin = require('gulp-imagemin');
var open = require('open');
var rename = require("gulp-rename");
var connect = require('gulp-connect');
// var sftp = require('gulp-sftp');
// var ftp = require('gulp-ftp');
var gutil = require('gulp-util');

/*把bower下载的前端框架放到我们项目当中*/
gulp.task('lib', function () {
    gulp.src('bower_components/**/*.js')
        .pipe(gulp.dest(app.buildPath + 'lib'))
        .pipe(gulp.dest(app.distPath + 'lib'))
        .pipe(connect.reload()) //当内容发生改变时， 重新加载。
});
/*2.定义任务 把所有html文件移动另一个位置*/
gulp.task('html', function () {
    /*要操作哪些文件 确定源文件地址*/
    gulp.src(app.srcPath + '**/*.html')  /*src下所有目录下的所有.html文件*/
        .pipe(gulp.dest(app.buildPath)) //gulp.dest 要把文件放到指定的目标位置
        .pipe(gulp.dest(app.distPath))
        .pipe(connect.reload()) //当内容发生改变时， 重新加载。
});
/*3.执行任务 通过命令行。gulp 任务名称*/
/*定义编译less任务  下载对应的插件 gulp-less
 * 把less文件转成css放到build
 * */
gulp.task('less2', function () {
    gulp.src('css/**/*.less')
        .pipe(less())
        /*经过压缩，放到dist目录当中*/
        .pipe(cssmin())
        .pipe(rename({
            suffix: ".min"
        }))
        .pipe(gulp.dest('css'))
});
gulp.task('less', function () {
    gulp.src('pages/**/*.less')
        .pipe(less())
        /*经过压缩，放到dist目录当中*/
        .pipe(cssmin())
        .pipe(rename({
            suffix: ".min"
        }))
        .pipe(gulp.dest('pages'))
});
/*合并js*/
gulp.task('js', function () {
    gulp.src(['pages/**/*.js', "!pages/**/*.min.js"])
    //      .pipe(concat('index.js'))
    //      .pipe(gulp.dest(app.buildPath+'js/'))
        .pipe(uglify())
        .pipe(rename({
            suffix: ".min"
        }))
        .pipe(gulp.dest("pages"))
});
/*压缩图片*/
gulp.task('image', function () {
    gulp.src(app.srcPath + 'images/**/*')
        .pipe(gulp.dest(app.buildPath + 'images'))
        .pipe(imagemin())
        .pipe(gulp.dest(app.distPath + 'images'))
        .pipe(connect.reload())
});
gulp.task('server', function () {
    connect.server({
        root: 'app',
        livereload: true,
        host: 'localhost',
        port: "8080",
        middleware: function (req, res, next) {
            return [proxy('/', {target: 'targeturl', changeOrigin: true})];
        }
    });
});
/*同时执行多个任务 [其它任务的名称]
 * 当前bulid时，会自动把数组当中的所有任务给执行了。
 * */
gulp.task('build', ['less', 'less2', 'html', 'js', 'image', 'lib']);
/*定义server任务
 * 搭建一个服务器。设置运行的构建目录
 * */
//gulp.task('server',['build'],function () {
//  /*设置服务器*/
//  connect.server({
//      root:[app.buildPath],//要运行哪个目录
//      livereload:true,  //是否热更新。
//      port:9999  //端口号
//  })
//  /*监听哪些任务*/
//  gulp.watch('bower_components/**/*',['lib']);
//  gulp.watch(app.srcPath+'**/*.html',['html']);
//  gulp.watch(app.srcPath+'js/**/*.js',['js']);
//  gulp.watch(app.srcPath+'images/**/*',['image']);
//  gulp.watch(app.srcPath+'style/**/*.less',['less']);
//
//  //通过浏览器把指定的地址 （http://localhost:9999）打开。
//  open('http://localhost:9999');
//});
/*定义默认任务
 * 直接执行gulp 会调用的任务
 * */
//gulp.task('default',['less']);

/* gulp.task('ftp2test', function () {
    return gulp.src('C:/Users/xiexiaqin/Documents/projects/hxc-app/unpackage/release/*')
        // .pipe(rename(function (path) {
        //     //Android
        //     if(path.extname == ".apk"){
        //         path.basename = "android_hxc_test";
        //     }
        //     //IOS
        //     else if(path.extname == ".ipa"){
        //         path.basename = "ios_hxc_test";
        //     }
        // }))
        .pipe(ftp({
            // remotePath:"/hxc-test/",
            // remotePath:"/home/web_data/apk_store/apk-test/hxc-test/",
            remotePath:"./hxc-test",
            host: '116.62.197.185',
            //app-test   zhjn@app123
            // port: '21',
            user: 'app-test',
            pass: 'zhjn@app123'
        }));

    console.log("下载地址：")
    console.log("http://app.evhzzh.com:85/apk-test/")
});
 */
gulp.task('default', function () {
    /*监听哪些任务*/
    gulp.watch(['pages/**/*.less'], ['less']);
    gulp.watch(['css/**/*.less'], ['less2']);
//  gulp.watch('view/**/*.js',['js']);
});