/*!
* @fileoverview
*    用户登录信息文件，该文件用来做APP用户登录，登出等操作
*
* @Author Dehua.ke
* @Email kedh@hzzh.com
* @Date 2018/08/16
*
* Copyright 2018 中恒节能 Inc. All Rights Reserved.
*/
var ZH = ZH || {};
(function (MUI,WIN) {


    //当前登录的用户
    var _user = localStorage.getItem("_user");


    function isLogin() {

        //用户未登录
        if (_user === null) {
            return false;
        }
        //用户已经登录
        else {
            return true;
        }
    }


    function logout() {
        localStorage.removeItem('_user');
        // localStorage.clear();
        plus.storage.clear();
    }


    function getUser() {
        //字符串和对象用不同的处理方式
        if ("string" === typeof _user) {
            return JSON.parse(_user);
        } else {
            return _user;
        }
    }


    function setUser(user) {
        localStorage.setItem("_user", JSON.stringify(user));
        _user = user;
    }

    //extend
    mui.extend(ZH,{
        getUser: getUser,
        setUser: setUser,
        isLogin: isLogin,
        logout: logout
    });
})(mui, window);

/*mui.extend(ZH,(function (MUI, WIN) {


    //当前登录的用户
    var _user = localStorage.getItem("_user");

    /!**
     *  当前是否用户登录
     * @param origin   起点
     * @return  Boolean    true|false    已登录|未登录
     *
     *!/
    function isLogin() {

        //用户未登录
        if (_user === null) {
            return false;
        }
        //用户已经登录
        else {
            return true;
        }
    }

    /!**
     *   用户登出
     *     清空所有的数据
     *
     *!/
    function logout() {
        localStorage.removeItem('_user');
        // localStorage.clear();
        plus.storage.clear();
    }

    /!**
     *
     * 获取当前登录的用户
     * *!/
    function getUser() {
        //字符串和对象用不同的处理方式
        if ("string" === typeof _user) {
            return JSON.parse(_user);
        } else {
            return _user;
        }
    }

    /!**
     * 获取当前登录的用户
     * *!/
    function setUser(user) {
        localStorage.setItem("_user", JSON.stringify(user));
        _user = user;
    }

    //return
    return {
        getUser: getUser,
        setUser: setUser,
        isLogin: isLogin,
        logout: logout
    }
})(mui, window));*/
