var vm = new Vue({
    el: '#choosePort',
    data: {
        PortBo: {
            devCode: '',//桩编码
            name: '',//桩名称
            stationName: '',//场站名字
            outputPower: '',//输出功率(单位kw)
            hasOffline: '',//是否离线
            payType: '',//1公司月结  2个人付费 公司月结车辆在当前页面支付   个人付费车辆 去下一个页面支付
            chargeType: '',//1 直流 2交流
            deviceType:'',
            portList: []
        },
        portStatusBoj: {
            1: "空闲可用",
            2: "故障",
            3: "离线",
            4: "充电中",
            5: "自检中"
        },
        portPicked: '',//选择的枪编号
        //支付模块
        trueInput: '',
        pwdLen: ['', '', '', '', '', ''],
        chooseCarStr: {
            carId: '',
            plate: ''
        },
        startChargeInfo: {
            devCode: '',
            port: ''
        },
        totalFee: '300',//充满为止金额
        managementCompanyName: '',//运营商名字
        user: {},
        devCode: '',
        plateNum: '',
        togetherChargeType: 1//1 单充 2并充

    },
    created: function () {
        mui.init({
            beforeback: function () {

                var scannerView = plus.webview.getWebviewById('../scanner/scanner.html');
                scannerView.evalJS("barcode.start()");
                mui.openWindow({
                    waiting: {
                        autoShow: false//自动显示等待框，默认为true
                    },
                    url: '../scanner/scanner.html',//中间跳转页
                });
				plus.webview.close(plus.webview.currentWebview()); // 回退销毁当前webview防止扫码进入信息桩错乱
                return false;
            }
        });

        var _this = this;

        
    },
    mounted: function () {
        var _this = this;



        mui.plusReady(function () {
            plus.navigator.setStatusBarStyle('dark');
            //关闭等待框
            plus.nativeUI.closeWaiting();

            var webw = plus.webview.getWebviewById('choosePort');
            //  在上一个页面传过来
           
            if(webw){
                _this.devCode = webw.devCode;
                _this.plateNum = webw.plateNum;
            }else{
                // mui.toast('出现错误请重新扫码',{ duration:'long', type:'div' });
            }

            _this.getPorts();

            var baseChooseCarStr = plus.storage.getItem("chooseCar");
            if (baseChooseCarStr) {
                _this.chooseCarStr = JSON.parse(plus.storage.getItem("chooseCar"));
            }

        });




        this.managementCompanyName = Decrypt(localStorage.getItem("managementCompanyName"));

        window.addEventListener('openFire', function (event) {
        	// console.log('更新完成');
            _this.getUser();
        });
        this.getUser();

    },
    methods: {
        start: function () {
            var _this = this;

            //检查用户是否被冻结
            var tel = customerconfig.serviceTelephone.replace(/-/g, "");

            if (_this.user.locked == 1) {
                plus.nativeUI.confirm(_this.user.userName + "您好,您的账号目前已被冻结，不能使用APP充电。可以联系客服恢复充电，客服电话" + customerconfig.serviceTelephone, function (e) {
                    if (e.index == 0) {
                        plus.device.dial(tel);
                    }
                }, {
                    "title": "账号被冻结",
                    "buttons": ["联系客服", "知道了"]
                });

                return;
            }

            //是否设置支付密码
            if (!_this.user.hasPwd) {
                mui.confirm('您还没有设置支付密码!', '提示', ['取消', '设置'], function (e) {
                    if (e.index === 1) {
                        mui.openWindow('../personSign/pwd.html', 'personSignPwd');
                    }
                });
                return;
            }

            //并充桩很少 不是每次都有选择 所以 每次充电开始时要默认为单充
            _this.togetherChargeType = 1;

            // 交流桩离线不可以充电
//          3.0.2支持交流桩离线充电
//          if (this.PortBo.hasOffline && this.PortBo.chargeType == 2) {
//              plus.nativeUI.alert("当前电桩已离线，请尝试更换电桩", function () {
//
//              }, "", "知道了");
//              return;
//          }
            // 直流桩离线 提醒用户将要进入离线充电模式 就不用检查枪口的状态了 也不用判断是否是并充（由桩上判断）
//          if (this.PortBo.hasOffline && this.PortBo.chargeType == 1) {
//          3.0.2支持交流桩离线充电
            if (this.PortBo.hasOffline) {
                plus.nativeUI.alert("充电桩离线，即将开启离线码充电模式", function () {
                    _this.isCheckedStart();
                }, "", "知道了");
                return;
            }

            /* deviceType产品类型:1.单枪直流，2.双枪直流，3.双枪快慢充直流，4.双枪轮充直流，5.假双枪直流，
             * 6.四枪直流，7.单枪轮充直流，8.双枪并充直流，101.单枪交流，102.双枪交流
             */

            // 如果直流桩在线
            if (!this.PortBo.hasOffline && this.PortBo.chargeType == 1) {
                // 直流并充
                if (this.PortBo.deviceType == 8) {
                    plus.nativeUI.confirm("并充模式需要两个枪同时插在同一辆车上哦~", function (e) {
                        // 单充
                        if (e.index == 0) {
                            _this.togetherChargeType = 1;
                        } else {
                            _this.togetherChargeType = 2;
                        }
                        _this.devOnlineCheckPortStatus();

                    }, {
                        title: "请选择需要充电的模式",
                        buttons: ["单充", "并充"],
                    });
                } else {
                    // 直流非并充在线 直接检查枪口状态
                    _this.devOnlineCheckPortStatus();
                }
                return;
            }

            // 交流在线不用检查枪口的状态了  直接充电
            if (!this.PortBo.hasOffline && this.PortBo.chargeType == 2) {
                _this.isCheckedStart();
                return;
            }
        },
        isCheckedStart: function () {
            var _this = this;
            //如果个人支付 跳转到支付页面
            if (_this.PortBo.payType == 2) {

                mui.openWindow({
                    url: "../payment/payment.html",
                    id: "payment",
                    createNew: true,
                    extras: {
                        devCode: _this.PortBo.devCode,//(桩编号)
                        port: _this.portPicked,//(枪编号)
                        togetherChargeType: _this.togetherChargeType
                    }
                });
            } else {
                mui('#sheet1').popover('show');
            }
        },
        devOnlineCheckPortStatus: function () {
            var _this = this;
            //检查枪口状态
            plus.nativeUI.showWaiting();

            var selectedPortName = _this.portNameFn();

            ZH.checkPortStatus(_this.PortBo.devCode, _this.portPicked, selectedPortName, _this.togetherChargeType, function (bool) {
                if (bool) {
                    var plate = _this.chooseCarStr.plate == '其他车辆' ? "" : _this.chooseCarStr.plate;
                    if (_this.togetherChargeType == 2) {
                        selectedPortName = '双枪';
                    }
                    //提醒用户 桩上的枪是否插在自己的车上了
                    plus.nativeUI.confirm('您选择的' + _this.PortBo.stationName + _this.PortBo.name + selectedPortName + '枪已插好，请检查该枪是否插在您此次需要充电的' + plate + '车上？', function (e) {
                        if (e.index == 1) {
                            return;
                        } else {
                            //如果个人支付 跳转到支付页面
                            _this.isCheckedStart();
                        }
                    }, {
                        "buttons": ["确认", "重新选枪"]
                    });

                } else {
                    _this.getPorts();
                    return;
                }
            });
        },
        //支付模块
        resetInput: function () {
            this.trueInput = '';
            this.pwdLen = ['', '', '', '', '', ''];
        },
        inputPwd: function (a) {
            if (!this.trueInput.match("^[0-9]*$")) {
                mui.toast('请输入数字');
                this.resetInput();
                return false;
            }
            for (var i = 0; i < this.pwdLen.length; i++) {
                this.pwdLen[i] = this.trueInput[i] || '';
            }
            if (this.trueInput.length === this.pwdLen.length) {
                this.startCharge(this.trueInput);
            }
        },
        startCharge: function (pwd) {

            var _this = this;

            var lastPlate = _this.chooseCarStr.plate == '其他车辆' ? '' : _this.chooseCarStr.plate;
            var data = {
                devCode: _this.PortBo.devCode,//桩编号
                port: _this.portPicked,//枪编号
                togetherChargeType: _this.togetherChargeType,
                plateNum: lastPlate,//车牌
                orderMoney: Encrypt(_this.totalFee),//金额
                payPwd: Encrypt(pwd)//密码
            };
            
            gAjax.$http({
                url: '/charge-app-server/app/charge/startCharge',
                data: data,
                methods: 'post',
                success: function (res) {
//                  console.log(JSON.stringify(res))
                    //密码错误
                    if (res.status === 20006) {
                        mui.confirm(res.msg, '密码错误', ['忘记密码', '重试'], function (e) {
                            if (e.index === 0) {
                                mui.openWindow('../personSign/updatePwd.html', 'personSignUpdatePwd');
                            }
                        });
                        return;
                    }
                    //车辆删除
                    if (res.status == 14005) {
                        ZH.carIsDeleted();
                        return;
                    }
                    //离线
                    if (res.status == 21005) {
                        mui.alert('当前电桩已离线，请尝试更换电桩', "提示", "确定", function (e) {
                            mui.openWindow('../index/map.html','map');
                        });
                        return;
                    }
                    //离线码用完
                    if (res.status == 15004) {
                        mui.alert('抱歉哦，当前桩暂时不支持离线充电，请选择其他的桩充电。', "提示", "确定", function (e) {
                            mui.openWindow('../index/map.html','map');
                        });
                        return;
                    }
                    //账户使用当前电桩离线码超过最大次数
                    if (res.status == 15005) {
                        mui.alert('您的账号当前已连续在本充电桩已获取' + res.data.maxTimes + '次离线充电码，请尝试更换电桩', "提示", "确定", function (e) {
//                          mui.openWindow('../index/map.html','map');
                        });
                        return;
                    }
                    if (res.status == 200) {
                        //离线充电码
                        if (res.data.hasOfflineCharge) {
                            mui.confirm('离线充电码已发送到您的手机号，在屏幕上输入即可开始充电。若离线码未使用，电桩恢复在线后，订单将自动取消，冻结余额将自动返还，请勿担心！', '桩离线', ['知道了'], function (e) {
                                mui.openWindow('../index/map.html','map');
                            });
                        } else {
                            mui.toast('支付成功！开始充电');
                            // console.log(res.data.orderSn)
                            // console.log(_this.chooseCarStr.plate == '其他车辆'?'':_this.chooseCarStr.plate)
                            setTimeout(function () {
                                mui.openWindow({
                                    url: '../charging/realTimeCharging.html',
                                    id: 'chargingRealTimeCharging',
                                    createNew: true,
                                    extras: {
                                        orderSn: res.data.orderSn
                                    }
                                });
                            }, 1500);
                        }
                    } else {
                        mui.toast(res.msg,{ duration:'long', type:'div' });
                    }

                },
                complete: function (res) {
                    mui('#sheet2').popover('hide');
                    _this.resetInput();
                }
            });
        },
        closePwdLayout: function () {
            mui('#sheet2').popover('hide');
            this.resetInput();
        },
        portNameFn: function () {
            var _this = this;
            var portList = this.PortBo.portList;
            var portName = "";
            for (var i = 0; i < portList.length; i++) {
                if (portList[i].port == _this.portPicked) {
                    portName = portList[i].name;
                }
            }
            return portName;
        },
        getUser: function () {
            var _this = this;
            ZH.getAccount(function (res) {
                // var tel = customerconfig.serviceTelephone.replace(/-/g, "");
                // console.log(JSON.stringify(res))
                if (res.status == 200) {
					var resdata = JSON.parse(Decrypt(res.data))
                    _this.user = resdata;
                } else {
                    mui.toast(res.msg);
                    return;
                }

            });
        },
        getPorts: function () {
        	plus.nativeUI.showWaiting();
            var _this = this;
            gAjax.$http({
                url: "/charge-app-server/app/charge/portList",
                methods: 'get',
                data: {
                    devCode: _this.devCode,
                    plateNum: _this.plateNum
                },
                success: function (res) {
				
                    //账户使用当前电桩离线码超过最大次数
                    if (res.status == 15005) {

                        mui.alert('您的账号当前已连续在本充电桩已获取' + res.data.maxTimes + '次离线充电码，请尝试更换电桩', "提示", "确定", function (e) {
//                          mui.openWindow('../index/map.html','map');
                        });
                        return;
                    }
                    if (res.status == 200) {
                        _this.PortBo = res.data;
                        //单枪 空闲 默认勾选
                        if (_this.PortBo.portList.length == 1 && _this.PortBo.portList[0].operatingStatus == 1) {
                            _this.portPicked = _this.PortBo.portList[0].port;
                        }
                    } else {
                        mui.toast(res.msg);
                    }

                },
                complete: function (res) {
					plus.nativeUI.closeWaiting();
                }
            });
        },
        //电价详情
        electricDetail : function(rate){
        	var _this = this;
        	mui.openWindow({
                url: '../stationDetail/electricDetail.html',
                id: 'electricDetail',
                extras: {
                	rate:rate,
                	servicePrice:_this.PortBo.servicePrice
                }
            });
            
        },
		time: function (ratePrice) {
			var currentPrice = ratePrice;
			return currentPrice?currentPrice.substring(currentPrice.indexOf('(')+1,currentPrice.length - 1):''
		},
		price: function (ratePrice) {
			var currentPrice = ratePrice;
			return currentPrice?currentPrice.substring(0,currentPrice.indexOf('元')):''
		},
        openPayment: function () {

        },
    },
    computed: {}
});
