var vm = new Vue({
    el: '#paymentBox',
    data: {
        selectBox: [{
            tit: '50能量币',
            txt: '',
            num: 50
        }, {
            tit: '30能量币',
            txt: '',
            num: 30
        }, {
            tit: '10能量币',
            txt: '',
            num: 10
        }],
        user: {
            balance: 0,
        },
        postData: {
            totalFee: '',
        },
        trueInput: '',
        pwdLen: ['', '', '', '', '', ''],
        chooseCarStr: '',
    },
    created: function () {
        window.addEventListener('tap', function (e) {
            if (e.target.className.indexOf('mui-backdrop') > -1) {
                vm.resetInput();
                e.stopPropagation();
            }
        }, false);
        var _this = this;
        window.addEventListener('openFire', function (event) {
            _this.getUser();
            console.log('update');
        });
        this.getUser();
        mui.init({
            beforeback: function () {
                
                if(mui.currentWebview.backMark == "scanner"){
                    var scannerView = plus.webview.getWebviewById('../scanner/scanner.html');
                    scannerView.evalJS("barcode.start()");
                    mui.openWindow({
                        waiting: {
                            autoShow: false//自动显示等待框，默认为true
                        },
                        url: '../scanner/scanner.html',//中间跳转页
                    });
                    return false;
                }else{					
                    return true;
                }
            }
        });
        mui.plusReady(function () {
            _this.chooseCarStr = plus.storage.getItem("chooseCar") ? JSON.parse(plus.storage.getItem("chooseCar")).plate : '';//获取车牌
            plus.nativeUI.closeWaiting();
        })
    },
    mount: {},
    computed: {
        hidePhone:function() {
            return ZH.hidePhone(this.user.phone);
        }
    },
    methods: {
        getUser: function () {
            var _this = this;
            /*gAjax.$http({
                url: '/charge-app-server/app/account/getAccount',
                methods: 'get',
                success: function (res) {
                    if (res.status === 200) {
                        _this.user = res.data;
                        console.log(JSON.stringify(_this.user));
                    } else {
                        mui.toast(res.msg);
                    }
                }
            });*/
            var _user = localStorage.getItem('_user') ? JSON.parse(localStorage.getItem('_user')) : {};
            //vivo7x 安卓5.1.1 报错
            $.ajax(gAjax.hostName+'/charge-app-server/app/account/getAccount', {
                dataType: "json",
                type: 'get',
                headers: {
                    authorization: _user.loginToken
                },
                timeout: 8000,
                xhrFields: {
                    withCredentials: true
                },
                crossDomain: true,
                success: function (res) {
//              	console.log(JSON.stringify(res))
					var resdata = JSON.parse(Decrypt(res.data))
                    _this.user = resdata;
                    _this.selectBox.unshift({
                        tit: '充满为止',
                        txt: _this.user.fullMoney+'能量币',
                        num: _this.user.fullMoney,
                    })
                },
                error: function (xhr, type, errorThrown) {
	                if(errorThrown == "Not Found"){
	                	mui.toast("服务器异常，请稍后再试！");
	                }
	                if (type == "timeout") {
	                    mui.toast("网络连接超时，请重试！");
	                }
					if(type == "abort"){
						mui.toast('连接失败，请检查你的网络或稍后重试');
					}

	            }
            });
        },
        startBtn: function () {
            var _this = this;
            //限制输入
            if (JSON.stringify(this.postData.totalFee).indexOf(".") !== -1) {
                this.postData.totalFee = '';
                mui.toast('充值金额只能是整数');
                return;
            }
            if (this.postData.totalFee > 300) {
                this.postData.totalFee = '';
                mui.toast('充值金额不能大于300能量币');
                return;
            }
            if (this.postData.totalFee < 1) {
                mui.toast('充值金额不能小于1能量币');
                this.postData.totalFee = '';
                return;
            }
            //是否设置支付密码
            if (!this.user.hasPwd) {
                mui.confirm('您还没有设置支付密码!', '提示', [ '设置','取消'], function (e) {
                    if (e.index === 0) {
                        mui.openWindow('../personSign/pwd.html', 'personSignPwd');
                    }
                });
                return;
            } else {
                console.log('支付密码已设置')
            }
            //能量币不足
            if (this.postData.totalFee > this.user.balance) {
                mui.confirm('您的能量币不足，请立即充值即开始可充电', '金额不足', ['取消', '立即充值'], function (e) {
                    if (e.index === 1) {
                        mui.openWindow('../recharge/recharge.html', 'recharge');
                    }
                });
                return;
            } else {
                console.log('账户金额充足')
            }
            mui('#sheet1').popover('show');
        },
        resetInput: function () {
            this.trueInput = '';
            this.pwdLen = ['', '', '', '', '', ''];
        },
        inputPwd: function (a) {
            if (!this.trueInput.match("^[0-9]*$")) {
                mui.toast('请输入数字');
                this.resetInput();
                return false;
            }
            for (var i = 0; i < this.pwdLen.length; i++) {
                this.pwdLen[i] = this.trueInput[i] || ''
            }
            if (this.trueInput.length === this.pwdLen.length) {
                this.$refs.trueInput.blur();
                this.startCharge(this.trueInput);
            }
        },
        startCharge: function (pwd) {
            var _this = this;
            // window.webview = {
            //     devCode: '1403031000000413',
            //     port: '0'
            // };
            var webview = mui.currentWebview;
            console.log(JSON.stringify(webview))
            gAjax.$http({
                url: '/charge-app-server/app/charge/startCharge',
                data: {
                    devCode: webview.devCode,//桩编号
                    port: webview.port,//枪编号
                    togetherChargeType:webview.togetherChargeType,
                    plateNum: _this.chooseCarStr == '其他车辆'?'':_this.chooseCarStr,//车牌
					orderMoney: Encrypt(_this.postData.totalFee + ''),//金额
					payPwd: Encrypt(pwd)//密码
                },
                methods: 'post',
                success: function (res) {
					if(res.data){
						var resdata = JSON.parse(Decrypt(res.data))
					}else {
						var resdata = res.data
					}
			
                    //密码错误
                    if (res.status === 20006) {
                        mui.confirm(res.msg, '密码错误', ['忘记密码', '重试'], function (e) {
                            if (e.index === 0) {
                                mui.openWindow('../personSign/updatePwd.html', 'personSignUpdatePwd');
                            }
                        });
                        return
                    }
                    //离线码用完
                    if (res.status == 15004) {
                        mui.alert('抱歉哦，当前桩暂时不支持离线充电，请选择其他的桩充电。', "提示", "确定", function (e) {
                            mui.openWindow('../index/map.html','map');
                        });
                        return;
                    }
                    //账户使用当前电桩离线码超过最大次数
                    if (res.status == 15005) {
                        mui.alert('您的账号当前已连续在本充电桩已获取' + resdata.maxTimes + '次离线充电码，请尝试更换电桩', "提示", "确定", function (e) {
                           mui.openWindow('../index/map.html','map');
                        });
                        return;
                    }
                    //离线充电码
                    if (res.status === 200) {
                        if (resdata.hasOfflineCharge) {
                            mui.confirm('离线充电码已发送到您的手机号，在屏幕上输入即可开始充电。若离线码未使用，电桩恢复在线后，订单将自动取消，冻结余额将自动返还，请勿担心！', '桩离线', ['知道了'], function (e) {
        						mui.openWindow('../index/map.html','map');
                            });
                            return;
                        } else {
                            mui.toast('支付成功！开始充电');
                            console.log(resdata.orderSn)
                            setTimeout(function () {
                                mui.openWindow({
                                    url: '../charging/realTimeCharging.html',
                                    id: 'chargingRealTimeCharging',
                                    createNew:true,
                                    extras: {
                                        orderSn: resdata.orderSn,
                                        backMark: "payment"
                                    }
                                });
                            }, 1500)
                        }
                    }else if(res.status == 14005){
                        ZH.carIsDeleted();
                        return;
                    } else {
                        mui.toast(res.msg,{ duration:'long', type:'div' });
                    }
                },
                complete: function (res) {
                    mui('#sheet2').popover('hide');
                    _this.resetInput();
                }
            });
        },
        closePwdLayout: function () {
            mui('#sheet2').popover('hide');
            this.resetInput();
        }
    }
});
