var vm = new Vue({
    el: '#personSign',
    data: {
        outState: false,
        versionInfo: {},
        hasUpdate: false,
        carno:''
    },
    created: function () {
        this.getVersion();
        
        //获取刷新事件
        var _this = this;
        window.addEventListener('refreshVersion',function(event){
            _this.getVersion();
        });
		
		window.addEventListener('refreshCarno', function(event) {
			_this.carno = event.detail.carno;
		});
    },
    methods: {
        opencarNo:function(){
            var _this = this;
            mui.openWindow({
                url: '../carNo/carNo.html',
                id: "carNo",
                createNew:true,
                extras: {
                    carno: _this.carno,
                }
            });
        },
        getVersion: function () {
            var _this = this;
            gAjax.$http({
                url: '/charge-app-server/app/app/' + customerconfig.appId,
                methods: 'get',
                data: {
                    versionId: customerconfig.versionId
                },
                success: function (res) {
                    if (res.status === 200) {
						_this.versionInfo = res.data;
                        // _this.versionInfo.latestVersionId = 2;
                        if (_this.versionInfo.latestVersionId !== customerconfig.versionId) {
                            _this.hasUpdate = true;
                        }
                    } else {
                        mui.toast(res.msg);
                    }
                }
            });
            gAjax.$http({
                url: '/charge-app-server/app/user/user',
                methods: 'get',
                success: function (res) {
                    if (res.status === 200) {
                        var resdata = JSON.parse(Decrypt(res.data))
                        _this.carno = resdata.carno;
                    } else {
                        mui.toast(res.msg);
                    }
                }
            });
        },
        downLoad: function () {
            if (!this.hasUpdate) {
                mui.toast('当前已是最新版本');
                return
            }
            if (mui.os.ios) {
                plus.runtime.openURL(this.versionInfo.iosurl);
            } else {
                plus.runtime.openURL(this.versionInfo.apkurl);
            }
        },
        loginOut: function () {
            var _this = this;
            gAjax.$http({
                url: '/charge-app-server/app/user/loginOut',
                methods: 'post',
                success: function (res) {
                    if (res.status === 200) {
                        ZH.logout();
                        // localStorage.setItem('lived', true);
                        var all = plus.webview.all();
                        var current = plus.webview.currentWebview().id;
                        for (var i = 0, len = all.length; i < len; i++) {
                            if (all[i].id !== current) {
                                all[i].close('none');
                            }
                        }
                        setTimeout(function () {
                            mui.openWindow('../login/login.html', 'login');
                        }, 10)
                    } else {
                        mui.toast(res.msg);
                    }
                }
            });
        },
        timeoutLoginOut: function () {
            var _this = this;
            if (!this.outState) {
                _this.outState = true;
                mui.toast('再按一次退出登录!', {duration: '3000'});
                setTimeout(function () {
                    _this.outState = false;
                }, 3000)
            } else {
                _this.loginOut();
            }
        },
        openPage: ZH.openPage,
        newopenPage: function() {
            ZH.openPage('../../company/'+ config.customer +'/page/agreement/user.html','agreementUser')
        }
    }
});
