var vm = new Vue({
    el: '#updatePwd',
    data: {
        countdown: 60,
        codeDis: false,
        codeText: '获取验证码',
        Fphone: '',
        phone: '',
        pwd1: '',
        pwd2: '',
        code: null,
        okToast: false,
    },
    created: function () {
        this.phone = Decrypt(JSON.parse(localStorage.getItem('_user')).phoneNumber);
        this.Fphone = ZH.formattePhone(this.phone);
        console.log(localStorage.getItem('_user'))
    },
    mounted: function () {
    },
    computed: {
        confirmDis: function () {
            return !(ZH.isSixNumber(this.pwd1) &&
                ZH.isSixNumber(this.pwd2) &&
                this.code.length === 4)
        }
    },
    methods: {
        validCode: function (val) {
            var patrn = /^[0-9]*$/;
            if (!patrn.test(val)) {
                this.code = null;
                return
            }
            if (this.code.length > 4) {
                this.code = this.code.slice(0, 4);
            }
        },
        validPwd: function (obj, val) {
            var reg = /\d/;
            if (val && !reg.test(val)) {
                this[obj] = this[obj].slice(0, -1);
            }
        },
        sendCode: function () {
            var _this = this;
            // if (ZH.isPhone(this.phone)) {
            gAjax.$http({
                url: '/charge-app-server/app/payPwd/pwd/message',
                methods: 'get',
                success: function (res) {
                    if (res.status === 200) {
                        _this.settime();
                    } else {
                        mui.toast(res.msg);
                    }
                }
            })
        },
        settime: function () {
            if (this.countdown !== 0) {
                this.countdown--;
                this.codeDis = true;
                this.codeText = "重新发送(" + this.countdown + ")";
                setTimeout(this.settime, 1000);
            } else {
                this.codeDis = false;
                this.codeText = "获取验证码";
                this.countdown = 60;
            }
        },
        confirm: function () {
            var _this = this;
            if (this.pwd2 !== this.pwd1) {
                ZH.topToast('两次密码不一致，请重新输入！', 3000);
                return;
            }
            gAjax.$http({
                url: '/charge-app-server/app/payPwd/code/pwd',
                methods: 'post',
                data: {
                    code: this.code,
                    pwd: Encrypt(this.pwd2),
                },
                success: function (res) {
                    if (res.status === 200) {
                        _this.okToast = true;
                        setTimeout(function () {
                            mui.back();
                        }, 1500)
                    } else {
                        mui.toast(res.msg);
                    }
                }
            })
        },
    }
});
