var vm = new Vue({
    el: '#detailsBox',
    data: function () {
        return {
            list: [],
            page: 1,
            lodeMd: '加载中...',
            showLodeMd: true,
            noList: false,
            typeOptions: {
                '0': 'APP充值',
                '1': '卡充值',
                '2': '提现',//暂时没有
                '3': '卡充电冻结',
                '4': '解冻返还',
                '5': '充电冻结',
                '6': '充电结束补扣',
                '7': '退款冻结',
                '8': '退款失败返还',
                '9': '在线退款成功',
                '10': '人工退款成功',
                '11': '充电消费',
                '99': '易宝代付',
            },
            loading: false
        };
    },
    mounted: function () {
        var _this = this;
        $('#detailsBox').scroll(function (e) {
            if (!_this.loading && e.target.scrollTop + 30 >= $('.details-list').height() - e.target.clientHeight) {
                _this.loading = true;
                _this.pullupRefresh();
            }
        });
        this.getList({
            page: 1,
            limit: 15
        });
    },
    methods: {
        classType: function (type) {
            var t = '';
            switch(type) {
                case '0':
                case '1':
                    t = '充值能量币';
                    break;
                case '2':
                    t = '提现';
                    break;
                case '3':
                case '5':
                    t = '预充能量币';
                    break;
                case '4':
                    t = '返还能量币';
                    break;
                case '6':
                    t = '补扣';
                    break;
                case '7':
                    t = '退款中';
                    break;
                case '8':
                    t = '退款失败';
                    break;
                case '9':
                case '10':
                    t = '退款成功';
                    break;
                case '11':
                    t = '充电消费';
            }
            return t;
        },
        getList: function (pages) {
            var _this = this;
            gAjax.$http({
                url: '/charge-app-server/app/account/getAccountDetail',
                data: pages,
                methods: 'get',
                success: function (res) {
                    var resdata = JSON.parse (Decrypt(res.data))
                    if (res.status === 200) {
                        _this.list = _this.list.concat(resdata);
                        _this.loading = false;
                        if (res.total === 0) {
                            _this.noList = true;
                        }
                        if (res.total <= 15) {
                            _this.showLodeMd = false;
                        }
                        if (_this.list.length === res.total) {
                            _this.lodeMd = '已结到底了';
                        }
                    } else {
                        mui.toast(res.msg);
                    }
                }
            });
        },
        pullupRefresh: function () {
            this.page++;
            this.getList({
                page: this.page,
                limit: 15
            });
        }
    }
});
