var vm = new Vue({
    el: '#power',
    data: function () {
        return {
            balance: 0,// 余额
            refundMoney: 0,// 可退金额
            freezeMoney: 0,// 冻结金额
            totalCurrency:0,//累计充值
            cumulativeConsumption:0,//累计消费
            accumulatedRefund:0,//累计退款
            disRefund: false,
        };
    },
    created: function () {
        var vm = this;
        window.addEventListener('pageUpdate', function (event) {
            vm.getInfo();
            console.log('update');
        });
        this.getInfo();
    },
    computed: {},
    methods: {
        tofix: function (val) {
            return this[val] ? this[val].toFixed(2) : '0.00';
        },
        postRefund: function () {
            vm.disRefund = true;
            gAjax.$http({
                url: "/charge-pay-server/pay/appRefund",
                methods: 'POST',
                data: {appId: customerconfig.appId},
                success: function (res) {
                    if (res.status == 200) {
                        vm.getInfo();
                        mui.toast('发起退款操作成功');
                    } else {
                        mui.toast(res.msg);
                    }
                },
                complete: function () {
                    vm.disRefund = false;
                }
            });
        },
        refund: function () {
            //得到客服热线
            var tel = customerconfig.serviceTelephone.replace(/-/g,"");
            //可退金额0
            if (!vm.refundMoney) {

                mui.alert(`发起退款失败，请联系客服<a href="tel:${tel}" class="blue">${tel}</a>处理。`, '确认退款', ['确定'], function (e) {
                }, 'div');
                return;
            }
            //可全退
            if (vm.refundMoney == vm.balance) {
                
                mui.confirm('退款金额为' + vm.refundMoney + '能量币。申请后，退款将在1~3个工作日退回原账户', '确认退款', ['确定', '取消'], function (e) {
                    if (e.index === 0) {
                        vm.postRefund();
                    }
                }, 'div');

            } else {
    
                mui.confirm('退款金额为' + vm.refundMoney + '能量币。申请后，退款将在1~3个工作日退回原账户。\n剩余' + (vm.balance - vm.refundMoney) + `能量币，不支持在线退款，请联系客服<a href="tel:${tel}" class="blue">${tel}</a>处理。`, '确认退款', ['确定', '取消'], function (e) {
                    if (e.index === 0) {
                        vm.postRefund();
                    }
                }, 'div');
            }

        },
        getInfo: function () {
            gAjax.$http({
                url: '/charge-app-server/app/account/getAccount',
                methods: 'get',
                success: function (res) {
                    var resdata = JSON.parse(Decrypt(res.data))
					
                    if (res.status === 200) {
                        vm.balance = resdata.balance;
                        vm.refundMoney = resdata.refundMoney;
                        vm.freezeMoney = resdata.freezeMoney;
                        //3.0.4新加功能
			            vm.totalCurrency = resdata.totalCurrency;//累计充值
			            vm.cumulativeConsumption = resdata.cumulativeConsumption;//累计消费
			            vm.accumulatedRefund = resdata.accumulatedRefund;//累计退款
                    } else {
                        mui.toast(res.msg);
                    }
                }
            });
        },
        goMayment: function () {
            mui.openWindow({
                url: '../recharge/recharge.html',
                id: 'recharge',
                waiting: {autoShow: false}
            });
        },
        goDetail: function () {
            mui.openWindow({
                url: 'details.html',
                id: 'power-details',
                waiting: {autoShow: false}
            });
        }
    }
});
