var vm = new Vue({
    el: '#rechargeBox',
    data: {
        selectBox: [500, 200, 100, 50],
        postData: {
            totalFee: 100,
            accountId: '',
            body: '充值能量币',
            appId: customerconfig.appId,
        },
        bank: 'alipay',//选择的支付渠道
        channel: '',//获取的手机支付渠道列表
    },
    created: function () {
        var _this = this;
        document.addEventListener("plusready", function () {
            _this.getPaymentChannel();
        }, false);
        this.getUser();
        mui.init({
            beforeback: function () {
                return true;
            }
        });
    },
    methods: {
        getUser: function () {
            var _this = this;
            gAjax.$http({
                url: '/charge-app-server/app/account/getAccount',
                methods: 'get',
                success: function (res) {
                    if (res.status === 200) {
                        _this.user = JSON.parse(Decrypt(res.data));
                        _this.postData.accountId = _this.user.accountId;
                    } else {
                        mui.toast(res.msg);
                    }
                }
            });
        },
        maxMoneyFun: function () {
            this.postData.totalFee = this.postData.totalFee ? parseInt(this.postData.totalFee) : '';
            if (this.postData.totalFee > 10000) {
                this.postData.totalFee = 10000;
            }
        },
        goPayment: function () {
            var _this = this;
            gAjax.$http({
                url: this.bank === 'alipay' ? '/charge-pay-server/pay/alipay' : '/charge-pay-server/pay/weixinpay',
                data: this.postData,
                methods: 'post',
                success: function (res) {
                    if (res.status === 200) {
                        console.log(JSON.stringify(res));
                        _this.toPay(res.data, _this.bank);
                    } else {
                        mui.toast(res.msg);
                    }
                },
                error: function (res) {
                    console.log(JSON.stringify(res), 51);
                }
            });
        },
        getPaymentChannel: function () {
            var _this = this;
            plus.payment.getChannels(function (channels) {
                _this.channel = channels;
                console.log(JSON.stringify(_this.channel));
                for (var i = 0; i < channels.length; i++) {
                    var channel = channels[i];
                    _this.channel[channel.id] = channel;
                }
            }, function (res) {
                alert("获取支付通道列表失败：" + e.message);
            });
        },
        installService: function (channelId) {
            if (!this.channel[channelId].serviceReady) {
                this.channel[channelId].installService();
            }
        },
        toPay: function (data, channel) {
            var _this = this;
            // console.log(JSON.stringify(this.channel[channel]), JSON.stringify(data));
            this.installService(channel);
            // 必须从业务服务器获取支付信息
            plus.payment.request(this.channel[channel], data, function () {

                //获得列表界面的webview
                var page = plus.webview.getWebviewById('power');
                var paymentPage = plus.webview.getWebviewById('payment');
                //触发列表界面的自定义事件（refresh）,从而进行数据刷新
                mui.fire(page, 'pageUpdate');
                mui.fire(paymentPage, 'openFire');
                //返回true，继续页面关闭逻辑
                plus.nativeUI.showWaiting("充值成功");
                setTimeout(function () {
                    plus.nativeUI.closeWaiting();
                    mui.back();
                }, 3000);
                console.log(_this.postData.accountId);
            }, function (e) {
                console.log(JSON.stringify(e));
            });
        },
        blurInput: function () {
            if (!this.postData.totalFee) {
                plus.nativeUI.alert("请输入需要充值的金额");
            }
        },
        // openPage: ZH.openPage,
        openNewPage: function () {
            // '../agreement/account.html','agreementAccount'
            mui.openWindow('../../company/'+ config.customer +'/page/agreement/user.html');
        }
    }
});
