
var vm = new Vue({
    el: '#handle-input',
    data: {
        devCode:'',
        submitDisabled:true,
        plateNum:''
    },
    created: function () {
    	mui.init({
            beforeback: function(){
            	console.log('我返回了')
            	document.activeElement.blur(); 
            	mui.openWindow({
                    	waiting:{
					      autoShow:false//自动显示等待框，默认为true
					    },
                    	url:'../scanner/scanner.html',//中间跳转页
                    });
                return false;
            }
		});
		
		

		
    },
    mounted: function(){
    	var _this = this;
    	mui.plusReady(function() {
			
			plus.navigator.setStatusBarStyle('dark');
			
			//关闭等待框
			plus.nativeUI.closeWaiting();
			
			
			var chooseCarStr = JSON.parse(plus.storage.getItem("chooseCar"));//获取车牌
			
			if(chooseCarStr){
				_this.plateNum = chooseCarStr.plate == "其他车辆"?'':chooseCarStr.plate;
			}
			
//			input清除
			mui(".mui-icon-clear")[0].addEventListener('tap',function(){
			    _this.devCode = "";
			})
		});
		
		
    },
    methods: {
        submitTap: function () {
        	plus.nativeUI.showWaiting();
            var _this = this;
            var _user = JSON.parse(localStorage.getItem('_user')) || {};
            
	        mui.ajax(gAjax.hostName + "/charge-app-server/app/charge/portList", {
	            dataType: "json",
	            data:{
	            	devCode:_this.devCode,
	            	plateNum:_this.plateNum
	            },
	            type: 'GET',
	            headers: {
	                authorization:_user.loginToken
	            },
	            timeout: 8000,
	            xhrFields: {
	                withCredentials: true
	            },
	            crossDomain: true,
	            success: function (res) {
		            if(res.status == 200){
		            	
		            	
		              	mui.openWindow({
							url: "../chooseCar/choosePort.html",
							id: "choosePort",
							createNew:true,
							extras: {
								devCode: _this.devCode,
								plateNum:_this.plateNum,
								backMark:"handle-input"
							}
						});
		            }else if(res.status == 14005){//车被删掉了
		            	ZH.carIsDeleted();
						return;
		            }else{
		            	plus.nativeUI.closeWaiting();
						mui.toast(res.msg);
		            	return;
		            }
	            },
	            error: function (xhr, type, errorThrown) {
	            	plus.nativeUI.closeWaiting();
	                if (type == "timeout") {
	                    mui.toast("网络请求超时");
	                }
	            },
	            complete:function(){
	            	
	            }
	        });
        },
        devCodeInput:function(){
        	this.devCode = this.devCode.toString().replace(/[^0-9]+/g,'');
        	if(this.devCode>16){
        		this.devCode = this.devCode.slice(0,16);
        	}
        }
    }
});
