
var vm = new Vue({
    el: '#station-detail',
    data: {
        stationInfoData : {
        	address:'',
        	openingTime:'',
        	rate:'',
        	name:'',
        	currentPrice:'0元/度(00:00~00:00)',
        	payType:'',
        	parkingFee:'',
        	servicePrice:'',
        	id:'',
        	isOperateOutside:'',
        	fastDeviceList:[],
        	slowDeviceList:[]
        },
        //站点列表传过来的参数  用于导航 显示距离等
        stationInfoWebwData : {
        	distance:'0',
        	origin:'',
			destination:'',
			stationListData:{}
        },
        stationInfoParameter:{
        	stationId:'',
        	carId:''
        },
        deviceList:[],
        tabValue:"1", 
        topTabs:[{
            name:"直流快充",
            value:"1"
        },{
            name:"交流慢充",
            value:"2"
        }],
        screenWidth:'',
        //支付模块
        trueInput: '',
        pwdLen: ['', '', '', '', '', ''],
        chooseCarStr: {
        	carId:0,
        	plate:''
        },
        startChargeInfo: {
        	devCode:'',
			port:'',
			togetherChargeType:''
        },
        portStatusBoj:{
        	1:"空闲",
        	2:"故障",
        	3:"离线",
			4:"充电中",
			5:'自检中'
        },
        totalFee:'300',//充满为止金额
        managementCompanyName:'',//运营商名字
        sliderImages:[],
		togetherChargeType:1,//1 单充 2并充
		rateInfo:[],
		stationWebwData:{}
    },
    created: function () {
    	var _this = this;
    	mui.init();
    	mui.plusReady(function() {
			plus.navigator.setStatusBarStyle('dark');
			
			plus.nativeUI.showWaiting();
			
			//如果有车获取车牌和车ID 
			var baseChooseCarStr = plus.storage.getItem("chooseCar");
			if(baseChooseCarStr){
				_this.chooseCarStr = JSON.parse(plus.storage.getItem("chooseCar"));
			}


//			console.log(JSON.stringify(chooseCarStr))
			
			
			var webw = mui.currentWebview;
			var stationId = webw.stationCode;//场站ID
			var distance = webw.distance;//站点站点距离
			var origin = webw.origin;//起点
			var destination = webw.destination;//终点

			// var stationListData = webw.stationData;
			// console.log(stationData)
			
			// console.log(JSON.stringify(stationListData))
			
			_this.stationInfoWebwData = {
	        	distance:distance,
	        	origin:origin,
				destination:destination,
				// stationListData:stationListData
			}
			
			// console.log(JSON.stringify(_this.stationInfoWebwData))
			
			//stationInfo()方法请求参数
			_this.stationInfoParameter.stationId = stationId;
	        _this.stationInfoParameter.carId = _this.chooseCarStr.carId;			
			_this.stationInfo();
			_this.getFastOrSlow(1);
			// _this.getRateInfo();
			
		});
		
		
		// console.log(_this.chooseCarStr.carId)
		
		
		
//      this.stationInfo();
    },
    mounted: function(){
    	//运营商名字
    	this.managementCompanyName = localStorage.getItem("managementCompanyName");
    	
    	var screenWidth = window.innerWidth || document.documentElement.clientWidth || document.body.clientWidth;
    	this.screenWidth = screenWidth/2 + 35;
    	
    },
    methods: {
		 parkingHandl (key) {
			if (key ===1 ) {
				return '停车免费'
			}
			else if (key ===2 ) {
				return '充电停车免费'
			}
			else if (key ===3 ) {
				return '限时停车免费'
			}
			else if (key ===4 ) {
				return '停车收费'
			}
		},
	    changeTab:function(value){
    		this.tabValue = value;
    	},
		getRateInfo: function () {
			var _this = this;
			var stationId = this.stationInfoParameter.stationId;
			
			gAjax.$http({
				url: '/charge-app-server/app/homepage/getRateInfo?stationId=' + stationId,
				methods: 'get',
				success: function (res) {
					if(res.status == 200){
						// console.log(JSON.stringify(res))
						
						_this.rateInfo = res.data.rate;
					}else{
						mui.toast(res.msg);
					}
					
				},
				complete:function(){
					//关闭等待框
					// plus.nativeUI.closeWaiting();
				}
			});
		},
		getFastOrSlow: function (type) {
			var _this = this;
			var stationId = this.stationInfoParameter.stationId;
			
			gAjax.$http({
				url: '/charge-app-server/app/homepage/fastOrSlow?stationId=' + stationId + "&type=" + type,
				methods: 'get',
				success: function (res) {
					if(res.status == 200){
						// console.log(JSON.stringify(res))
						
						_this.deviceList = res.data;
						_this.$forceUpdate();
					}else if(res.status == 320){//车被删掉了
						ZH.carIsDeleted();
						return;
					}else{
						mui.toast(res.msg);
					}
					
				},
				complete:function(){
					//关闭等待框
					// plus.nativeUI.closeWaiting();
				}
			});
		},
    	initSwiper:function(loop){
    		//轮播
		    this.swiper = new Swiper('.swiper-container', {
		       	autoplay:{
		       		delay: 3000,
		       		disableOnInteraction: false,
		       	},
			    loop:loop,
		       	observer:true,
				pagination: {
				   el: '.swiper-pagination',
				},
		    });
    	},
        stationInfo: function () {
            var _this = this;
            var stationId = this.stationInfoParameter.stationId
            var carId = this.stationInfoParameter.carId
            gAjax.$http({
                url: '/charge-app-server/app/homepage/stationInfo/xin?stationId=' + stationId + "&carId=" + carId,
                methods: 'get',
                success: function (res) {
                	if(res.status == 200){
						// console.log(JSON.stringify(res))
						_this.stationInfoData = res.data;
						var loop = true;
						if(res.data.image){
							var images = JSON.parse(res.data.image);
							if(images&&images.length != 0){
								vm.sliderImages = images;
								vm.$forceUpdate();
								if(images.length==1){
									loop = false;
								}
							}else{
								_this.sliderImages = [{"url":"./img/stationImage.jpg"}];
								loop = false;
							}
						}else{
							_this.sliderImages = [{"url":"./img/stationImage.jpg"}];
							loop = false;
						}
						vm.$nextTick(function(){  // 下一个UI帧再初始化swiper
					       vm.initSwiper(loop);
					    });
                		// _this.deviceList = res.data.fastDeviceList;
                	}else if(res.status == 320){//车被删掉了
                		ZH.carIsDeleted();
						return;
                	}else{
                		mui.toast(res.msg);
                	}
                	
                },
                complete:function(){
                	//关闭等待框
					plus.nativeUI.closeWaiting();
                }
            });
        },
        start: function (devCode,port,devName,portName,devConnectStatus,deviceType) {
        	var _this = this;
        	var target = event.target;
        	target.setAttribute("disabled",true);
        	setTimeout(function(){
        		target.removeAttribute("disabled");
			},1000);
			//并充桩很少 每次充电开始时要默认为单充
        	_this.togetherChargeType = 1;
        	_this.checkUser(function(bool){
        		if(bool){
        			

        			// 1 桩在线  0 离线
        			//如果直流桩离线  就不用检查枪口的状态了  直接充电
//      			if(devConnectStatus == 0&&_this.tabValue == 1){ 
//					3.0.2支持交流桩离线充电
        			if(devConnectStatus == 0){
        				plus.nativeUI.alert("充电桩离线，即将开启离线码充电模式", function(){
        		
	        				_this.isCheckedStart(devCode,port);
			        		
			        	}, "", "知道了" );
        				
        				return;
					}
					// 如果交流桩离线
//					3.0.2支持交流桩离线充电
//					if(devConnectStatus == 0&&_this.tabValue == 2){
//						plus.nativeUI.alert("当前电桩已离线，请尝试更换电桩", function(){							
//			        		
//			        	}, "", "知道了" );
//      				return;
//					}


					// 如果直流桩在线
					if(devConnectStatus == 1&&_this.tabValue == 1){
						// 直流并充
						if(deviceType == 8){
							plus.nativeUI.confirm("并充模式需要两个枪同时插在同一辆车上哦~", function (e) {
								// 单充
								if(e.index==0){
									_this.togetherChargeType = 1;
								}else{
									_this.togetherChargeType = 2;
								}
								_this.devOnlineCheckPortStatus(devCode,port,devName,portName);
	
							}, {
								title: "请选择需要充电的模式",
								buttons: ["单充","并充"],
							});
						}else{
							// 重置为单充
							_this.togetherChargeType = 1;
							// 直流非并充在线 直接检查枪口状态
							_this.devOnlineCheckPortStatus(devCode,port,devName,portName);
						}
        				return;
					}
					
					// 交流在线不用检查枪口的状态了  直接充电
					if(devConnectStatus == 1&&_this.tabValue == 2){
						_this.isCheckedStart(devCode,port);
						return;
					}
					
        		}
        	})    
           
		},
		devOnlineCheckPortStatus:function(devCode,port,devName,portName){
			var _this = this;
			plus.nativeUI.showWaiting();
			//检查枪口状态
			ZH.checkPortStatus(devCode,port,portName,_this.togetherChargeType,function(bool){
				
				if(!bool){
					//枪口状态异常  刷新 站点详情
					_this.stationInfo()
					return;
				}else{
					//提醒用户 桩上的枪是否插在自己的车上了
					var plate = _this.chooseCarStr.plate == '其他车辆'?"":_this.chooseCarStr.plate;
					if(_this.togetherChargeType == 2){
						portName = '双枪'
					}
					plus.nativeUI.confirm('您选择的' + _this.stationInfoData.name + devName + portName + '枪已插好，请检查该枪是否插在您此次需要充电的' + plate + '车上？', function(e){
						if(e.index == 1){
							return;
						}else{
							_this.isCheckedStart(devCode,port);
						}
					}, {
						"buttons":["确认","重新选枪"]
					});
				}
			})
		},
        isCheckedStart:function(devCode,port){
			var _this = this;
        	this.startChargeInfo = {
            	devCode:devCode,
				port:port,
				togetherChargeType:_this.togetherChargeType
            };
            
            
            // 公司月结车辆在当前页面支付   个人付费车辆 去下一个页面支付
            var payType = this.stationInfoData.payType;//1公司月结  2个人付费           
            if(payType == 1){
            	mui('#sheet1').popover('show');
            }

            if(payType == 2){
           		mui.openWindow({
					url: "../payment/payment.html",
					id: "payment",
					createNew:true,
					extras: _this.startChargeInfo
				});
            }
        },
        //支付模块
        resetInput: function () {
            this.trueInput = '';
            this.pwdLen = ['', '', '', '', '', ''];
        },
        inputPwd: function (a) {
            if (!this.trueInput.match("^[0-9]*$")) {
                mui.toast('请输入数字');
                this.resetInput();
                return false;
            }
            for (var i = 0; i < this.pwdLen.length; i++) {
                this.pwdLen[i] = this.trueInput[i] || ''
            }
            if (this.trueInput.length === this.pwdLen.length) {
            	this.$refs.trueInput.blur();
                this.startCharge(this.trueInput);
            }
        },
        startCharge: function (pwd) {

            var _this = this;
            
            var lastPlate = _this.chooseCarStr.plate == "其他车辆"?"":_this.chooseCarStr.plate;
            
            gAjax.$http({
                url: '/charge-app-server/app/charge/startCharge',
                data: {
                    devCode:_this.startChargeInfo.devCode,//桩编号
					port: _this.startChargeInfo.port,//枪编号
					togetherChargeType: _this.startChargeInfo.togetherChargeType,//1单充 2并充
                    plateNum: lastPlate,//车牌
					orderMoney: Encrypt(_this.totalFee),//金额
					payPwd: Encrypt(pwd)//密码
                },
                methods: 'post',
                success: function (res) {
                	//离线码用完
                    if (res.status == 15004) {
                        mui.alert('抱歉哦，当前桩暂时不支持离线充电，请选择其他的桩充电。', "提示", "确定", function (e) {
//                          ZH.openPage('../index/map.html', 'map');
                        });
                        return;
                    }
                	//账户使用当前电桩离线码超过最大次数
                    if (res.status == 15005) {
                        mui.alert('您的账号当前已连续在本充电桩已获取' + res.data.maxTimes + '次离线充电码，请尝试更换电桩', "提示", "确定", function (e) {
//                          ZH.openPage('../index/map.html', 'map');
                        });
                        return;
                    }
                	//密码错误
                	else if (res.status === 20006) {
                        mui.confirm(res.msg, '密码错误', [ '忘记密码','重试'], function (e) {
                            if (e.index === 0) {
                                mui.openWindow('../personSign/updatePwd.html', 'personSignUpdatePwd');
                            }
                        });
                        return
                   }else if(res.status == 200){
                		//离线充电码
	                    if (res.data.hasOfflineCharge) {
	                        mui.confirm('离线充电码已发送到您的手机号，在屏幕上输入即可开始充电。若离线码未使用，电桩恢复在线后，订单将自动取消，冻结余额将自动返还，请勿担心！', '桩离线', ['知道了'], function (e) {
	                            ZH.openPage('../index/map.html', 'map');
	                        });
	                        return;
	                    } else {
	                        mui.toast('支付成功！开始充电');
	                        setTimeout(function () {
	                            mui.openWindow({
	                                url: '../charging/realTimeCharging.html',
	                                id: 'chargingRealTimeCharging',
									createNew:true,
	                                extras: {
	                                    orderSn: res.data.orderSn,
	                                    backMark:"stationDetail"
	                                }
	                            });
	                        }, 1500)
	                    }
                	}else if(res.status == 14005){
                		ZH.carIsDeleted();
                		return;
                	}else{
                		mui.toast(res.msg,{ duration:'long', type:'div' });
                	}
                },
                complete: function (res) {
                    mui('#sheet2').popover('hide');
                    _this.resetInput();
                }
            });
        },
        closePwdLayout: function () {
            mui('#sheet2').popover('hide');
            this.resetInput();
        },
        //电价详情
        electricDetail : function(rate,servicePrice){
        	var _this = this;
        	mui.openWindow({
                url: './electricDetail.html',
                id: 'electricDetail',
                extras: {
                	rate:rate,
                	servicePrice:servicePrice
                }
            });
        },
        /**
         * 初始化选择导航地图
         * */
        selectMap: function () {
        	var _this = this;

            // 弹出系统选择按钮框
            ZH.selectMapNav({
                amap: {
                    longitude: _this.stationInfoData.lon,
                    latitude: _this.stationInfoData.lat
                },
                baidu: {
                    longitude: _this.stationInfoData.bdLon,
                    latitude: _this.stationInfoData.bdLat
                }
            });
            
            
//          ZH.selectMapNav({
//              origin:{
//                  longitude:app.currentPosition[0],
//                  latitude:app.currentPosition[1]
//              },
//              destination:destination
//          });
       },
       checkUser: function(isChecked){
			var _this = this;
			ZH.getAccount(function(res){        		
        		if(res.status == 200){
					var data = JSON.parse(Decrypt(res.data))
        			//检查用户是否被冻结
					var tel = customerconfig.serviceTelephone.replace(/-/g,"");
					if(data.locked == 1){
						isChecked(false);
						plus.nativeUI.confirm(data.userName + "您好,您的账号目前已被冻结，不能使用APP充电。可以联系客服恢复充电，客服电话" + customerconfig.serviceTelephone, function(e){
							if(e.index == 0){
								plus.device.dial(tel);
							}
						}, {"title":"账号被冻结",
							"buttons":["联系客服","知道了"]
						});
						
						return;
					}
					
					//是否设置支付密码
		            if(!data.hasPwd) {
		                mui.confirm('您还没有设置支付密码!', '提示', ['取消', '设置'], function (e) {
		                    if (e.index === 1) {
		                        mui.openWindow('../personSign/pwd.html', 'personSignPwd');
		                    }
		                });
		                isChecked(false);
		                return;
		            }
        			isChecked(true);
        		}else{
        			mui.toast(res.msg);
        			return;
        		}	
				
            })
		},
		time: function (ratePrice) {
			var currentPrice = ratePrice;
			return currentPrice?currentPrice.substring(currentPrice.indexOf('(')+1,currentPrice.length - 1):''
		},
		price: function (ratePrice) {
			var currentPrice = ratePrice;
			return currentPrice?currentPrice.substring(0,currentPrice.indexOf('元')):''
		},
    },
    watch:{
        tabValue:{
            handler: function () {
            	if(this.tabValue == "1"){
					this.getFastOrSlow(1);
            		// this.deviceList = this.stationInfoData.fastDeviceList;
            	}else{
            		// this.deviceList = this.stationInfoData.slowDeviceList;
					this.getFastOrSlow(2);
            	}
                
            },
            immediate: false
        }
    },
    computed: {
	    // 
	    time: function () {
			var currentPrice = this.stationInfoData.currentPrice;
			return currentPrice?currentPrice.substring(currentPrice.indexOf('(')+1,currentPrice.length - 1):''
	    },
	    sliderHeight:function(){
	    	return 11
	    }
	}
});
